AsyncCall (Axis API)
Keywords: org.apache.axis.client.async.AsyncCall class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.client.async
Class AsyncCall

    java.lang.Object
      org.apache.axis.client.async.AsyncCall

public class AsyncCall
extends java.lang.Object

Support for Asynchronous call

Author:
  Davanum Srinivas (dims@yahoo.com)

Constructor Summary
`AsyncCall(Call call)` Constructor AsyncCall
`AsyncCall(Call call, IAsyncCallback callback)` Constructor AsyncCall

Method Summary
`Call` | `getCall()` Method getCall
`IAsyncCallback` | `getCallback()` Method getCallback
`IAsyncResult` | `invoke(java.lang.Object[] inputParams)` Method invoke
`IAsyncResult` | `invoke(QName qName, java.lang.Object[] inputParams)` Method invoke
`void` | `setCallback(IAsyncCallback callback)` Method setCallback

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncCall

    public AsyncCall(Call call)

  Constructor AsyncCall

Parameters:
  `call` -

### AsyncCall

    public AsyncCall(Call call,
                     IAsyncCallback callback)

  Constructor AsyncCall

Parameters:
  `call` -
  `callback` -

Method Detail

### getCallback

    public IAsyncCallback getCallback()

  Method getCallback

  Returns:

### setCallback

    public void setCallback(IAsyncCallback callback)

  Method setCallback

  Parameters:
    `callback` -

### invoke

    public IAsyncResult invoke(java.lang.Object[] inputParams)

  Method invoke

  Parameters:
    `inputParams` -
  Returns:

### invoke

    public IAsyncResult invoke(QName qName,
                               java.lang.Object[] inputParams)

  Method invoke

  Parameters:
    `qName` -
    `inputParams` -
  Returns:

### getCall

    public Call getCall()

  Method getCall

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.